summaryrefslogtreecommitdiffstats
path: root/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild')
-rwxr-xr-xsource/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild41
1 files changed, 25 insertions, 16 deletions
diff --git a/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild b/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
index 837b7f8a9..015c489f5 100755
--- a/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
+++ b/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
@@ -3,17 +3,23 @@
# Slackware build script for x11-ssh-askpass
# Written by "Vincent Batts <vbatts@batts.mine.nu>"
-# Modified by Robby Workman <rworkman@slackbuilds.org>
-
VERSION=1.2.4.1
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-x11-ssh-askpass
-OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -24,14 +30,17 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf x11-ssh-askpass-$VERSION
-tar xvf $CWD/x11-ssh-askpass-$VERSION.tar.gz
-cd x11-ssh-askpass-$VERSION
+tar xvf $CWD/x11-ssh-askpass-$VERSION.tar.gz || exit 1
+cd x11-ssh-askpass-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+rw,go+r-w .
@@ -48,20 +57,20 @@ make || exit 1
make install DESTDIR=$PKG || exit 1
make install.man DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-gzip -9 $PKG/usr/man/man1/x11-ssh-askpass.1x
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/x11-ssh-askpass-$VERSION
-cp README $CWD/xprofile.sample $PKG/usr/doc/x11-ssh-askpass-$VERSION
+cp -a \
+ README TODO ChangeLog $CWD/xprofile.sample \
+ $PKG/usr/doc/x11-ssh-askpass-$VERSION
+chown -R root:root $PKG/usr/doc/x11-ssh-askpass-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/x11-ssh-askpass-$VERSION-$ARCH-$BUILD$TAG.txz
+/sbin/makepkg -l y -c n $TMP/x11-ssh-askpass-$VERSION-$ARCH-$BUILD.txz